Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.xmla
Class XMLA_DrillThroughTableModel

    java.lang.Object
      com.tonbeller.wcf.table.AbstractTableModel
          com.tonbeller.jpivot.xmla.XMLA_DrillThroughTableModel

All Implemented Interfaces:
  com.tonbeller.wcf.table.TableModel

    public class XMLA_DrillThroughTableModel

extends com.tonbeller.wcf.table.AbstractTableModel

A wcf table model for drill through data, requires an sql query and connection information to be set.

Constructor Summary
`XMLA_DrillThroughTableModel()`

Method Summary
`java.lang.String` | `getCaption()`
`int` | `getCellOrdinal()`
`int` | `getColumnCount()` wcf table component calls this method from it's constructor to get the number of columns
`java.lang.String` | `getColumnTitle(int columnIndex)`
`java.lang.String` | `getDataSourceName()`
`XMLA_Model` | `getModel()`
`com.tonbeller.wcf.table.TableRow` | `getRow(int rowIndex)`
`int` | `getRowCount()`
`java.lang.String` | `getTitle()`
`void` | `setCaption(java.lang.String caption)`
`void` | `setCellOrdinal(int cellOrdinal)`
`void` | `setDataSourceName(java.lang.String string)`
`void` | `setModel(XMLA_Model model)`
`void` | `setTitle(java.lang.String title)`

Methods inherited from class com.tonbeller.wcf.table.AbstractTableModel
`addTableModelChangeListener, fireModelChanged, fireModelChanged, removeTableModelChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLA_DrillThroughTableModel

    public XMLA_DrillThroughTableModel()

Method Detail

### getCellOrdinal

    public int getCellOrdinal()

  Returns:
    Returns the cellOrdinal.

### setCellOrdinal

    public void setCellOrdinal(int cellOrdinal)

  Parameters:
    `cellOrdinal` - The cellOrdinal to set.

### getModel

    public XMLA_Model getModel()

  Returns:
    Returns the model.

### setModel

    public void setModel(XMLA_Model model)

  Parameters:
    `model` - The model to set.

### getRowCount

    public int getRowCount()

### getRow

    public com.tonbeller.wcf.table.TableRow getRow(int rowIndex)

### getTitle

    public java.lang.String getTitle()

### setTitle

    public void setTitle(java.lang.String title)

  Parameters:
    `title` -

### getColumnCount

    public int getColumnCount()

  wcf table component calls this method from it's constructor to get the number of columns

### getColumnTitle

    public java.lang.String getColumnTitle(int columnIndex)

### getCaption

    public java.lang.String getCaption()

  Returns:

### setCaption

    public void setCaption(java.lang.String caption)

  Parameters:
    `caption` -

### getDataSourceName

    public java.lang.String getDataSourceName()

  Returns:

### setDataSourceName

    public void setDataSourceName(java.lang.String string)

  Parameters:
    `string` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD